<ion-card>
  <ion-card-content class="table-container ion-no-padding">
    <div class="loading-shade" *ngIf="dataSource.loading$ | async">
      <mat-progress-bar *ngIf="dataSource.loading$ | async" mode="indeterminate"></mat-progress-bar>
    </div>

    <table mat-table class="full-width-table" [dataSource]="dataSource" matSort style="width: 100%;">

      <!-- DN Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>DN name</th>
        <td mat-cell *matCellDef="let row">{{ row.name }}</td>
      </ng-container>

      <!-- Posting Date Column -->
      <ng-container matColumnDef="posting_date">
        <th mat-header-cell *matHeaderCellDef>Posting Date</th>
        <td mat-cell *matCellDef="let row">{{ row.posting_date }}</td>
      </ng-container>

      <!-- Title Column -->
      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef>Title</th>
        <td mat-cell *matCellDef="let row">{{ row.title }}</td>
      </ng-container>

      <!-- Total Column -->
      <ng-container matColumnDef="total">
        <th mat-header-cell *matHeaderCellDef>Amount</th>
        <td mat-cell *matCellDef="let row">{{ row.total }}</td>
      </ng-container>

      <!-- Status Column -->
      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef>Status</th>
        <td 
        mat-cell
        *matCellDef="let row"
        [ngStyle]="{'color':row.status === 'Completed' ? 'green'  : row.status === 'To Bill' ? 'orange' :'red' }"
        >{{ row.status }}</td>
      </ng-container>

      <!-- Created By Column -->
      <ng-container matColumnDef="owner">
        <th mat-header-cell *matHeaderCellDef>Created By</th>
        <td mat-cell *matCellDef="let row">{{ row.owner }}</td>
      </ng-container>

      <!-- Modified By Column -->
      <ng-container matColumnDef="modified_by">
        <th mat-header-cell *matHeaderCellDef>Modified By</th>
        <td mat-cell *matCellDef="let row">{{ row.modified_by }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>

    <mat-card-actions>
      <mat-paginator #paginator class="mat-paginator-sticky" (page)="getUpdate($event)"
        [pageIndex]="paginator.pageIndex" [length]="dataSource.length" [pageSizeOptions]="[10, 50, 100, 500]">
      </mat-paginator>
    </mat-card-actions>
  </ion-card-content>
</ion-card>